//
//	Legato Code Examples
//	--------------------
//
//	Enumerate Project Files
//
//	Group:		Project
//	Title:		Enumerate Project Files
//	Description:	Function that loads a table with all the project entries and their properties.
//	Revised:	12/01/2014
//
//	(c) Novaworks, LLC
//

    string	list[200][3];

							// Example Function

int get_project_entries() {
    int		ix, size;

    ArrayClear(list);
    ArrayAddKeyNames(list, "File Type Description", AXIS_COL);

    size = ProjectGetEntryCount();
    ix = 0;
    while (ix < size) {
      list[ix][0] = ProjectGetEntry(ix);
      list[ix][1] = ProjectGetEntryAsString(ix, PROJECT_ENTRY_D_TYPE);
      list[ix][2] = ProjectGetEntryAsString(ix, PROJECT_ENTRY_DESCRIPTION);
      ix++;
      }
    return ix;
    }
    

							// Test Jig
int main() {
    int		ix, size;

    size = get_project_entries();
    
    if (size == 0) {
      MessageBox('x', "Project empty");
      return ERROR_EOD;
      }
    AddMessage("%05s %-32s %-20s %s", "Index", "Filename", "Document Type", "Description");
    ix = 0;
    while (ix < size) {
      AddMessage("%3d   %-32s %-20s %s", ix + 1, list[ix][0], list[ix][1], list[ix][2]);
      ix++;
      }

    return ERROR_NONE;
    }